:root {
  --back-light: white;
  --back-dark: whitesmoke;
  --black-fill: black;
  --black-mod: #333;
  --gray-dark: slategray;
  --gray-light: #C7CDD8;
  --colored-dark: #2E0B33;
  --colored-light: #9423A6;
}


@font-face{
  font-family:"NotoNaskhArabic";
  src: url("../fonts/NotoNaskhArabic/NotoNaskhArabicUI-Regular.ttf") format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face{
  font-family:"NotoNaskhArabic";
  src: url("../fonts/NotoNaskhArabic/NotoNaskhArabicUI-Bold.ttf") format('truetype');
  font-weight: bold;
  font-style: normal;
}
@font-face{
  font-family:"NotoSansArabic";
  src: url("../fonts/NotoSansArabic/NotoSansArabicUI-Regular.ttf") format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face{
  font-family:"NotoSansArabic";
  src: url("../fonts/NotoSansArabic/NotoSansArabicUI-Bold.ttf") format('truetype');
  font-weight: bold;
  font-style: normal;
}

/* Global page and element settings ----------------------------------------------------- */
body {
  font-size: 16px;
  font-family: "NotoSansArabic", sans-serif;
  background: var(--dark-fill);
}

p {
  text-align: justify;
}

/* Colors */
.dark-blue {
  color: var(--colored-dark) !important;
}

#badge-more {
  background-color: var(--colored-light);
  color: var(--back-light);
}

.badge.expander, #badge-more {
  cursor: pointer;
  padding: 7px 15px;
  float: left;
}

#read-more {
  transition: max-height 0.3s;
  overflow-y: hidden;
  max-height: 500px;
}

.folded {
  max-height: 0 !important;
}

/* Font style */
.montserrat {
  font-weight: 500;
}

/* Degree area -------------------------------------------------------------------- */
#education {
  list-style-type: none;
  padding-right: 0;
}

#education li {
  margin-bottom: 1rem;
}

.university, .thesis, .supervisor {
  color: var(--gray-dark);
}

.university {
  font-style: oblique;
}

.thesis::before {
  content: "پایان‌نامه: \2000";
}

.supervisor::before {
  content: "استاد راهنما: \2000";
}

.thesis::before, .supervisor::before {
  color: *var(--gray-dark);
  font-weight: 100;
}

/* Typography */
h1, h2, h3, h4, h5, h6 {
  font-family: "NotoNaskhArabic", serif;
  color: var(--colored-dark);
  font-weight: bold !important;
}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
  font-weight: bold !important;
}

h1 {
  margin-bottom: 4rem;
}

h2, h3 {
  margin: 0 0 2rem !important;
  color: var(--gray-dark);
}

h4 {
  text-transform: uppercase;
}

h4, h5, h6 {
  color: var(--gray-dark) !important;
}

.panel-heading h5 {
  font-style: italic;
  color: var(--colored-light) !important;
}

#projects .panel-heading h5 {
  color: var(--gray-dark) !important;
}

p, table, tr, td, ul, li, blockquote, nav, a, footer, dl, dt, dd {
  font-weight: 400;
}

dt {
  font-weight: 600;
}

blockquote {
  border-right-color: var(--gray-dark);
  color: var(--gray-dark);
}

blockquote blockquote {
  border-right: none;
  margin: 1.5rem;
  font-style: italic;
}

cite {
  font-size: 1.5rem !important;
  display: block;
  margin-top: 1rem;
}

p {
  line-height: 1.5;
  margin-bottom: 1.5rem;
}

blockquote footer {
  margin-top: 1.5rem;
  margin-right: 2rem;
  text-indent: -1.8rem;
}

.publications {
  list-style-type: none;
  padding-right: 2.5rem;
}

.publications li {
  margin-right: 2rem;
  text-indent: -2.5rem;
  text-align: justify;
  font-size: 0.9em;
  font-weight: 300;
  color: var(--black-mod);
}

h4.panel-title {
  font-size: 18px;
}

.publications h4 {
  padding: 6px;
}

/* Links */
a {
  color: var(--colored-light);
}

#main-container a {
  font-weight: 500;
}

#main-container a:hover {
  color: var(--colored-light);
  border-bottom: 1px dashed var(--colored-light);
  text-decoration: none;
  padding-bottom: 2px;
}

/* Contact info area, index.html page ------------------------------------------------- */
#title {
  font-family: "NotoNaskhArabic", serif !important;
  color: var(--colored-dark);
  margin-top: 2rem;
  font-weight: 600;
  font-size: 1.7rem;
  text-align: center;
}

#program {
  color: var(--gray-dark);
  text-align: center;
}

iframe {
  padding: 3px;
  border: 1px solid lightgray;
}

/* Format the nav  ---------------------------------------------------------- */
nav {
  padding-top: 1rem;
  padding-bottom: 2rem;
}

.navbar-default .navbar-nav>li>a {
  color: var(--colored-dark);
  font-weight: 500;
}

.nav .montserrat:hover,
.nav .montserrat:focus-within,
.nav .montserrat:focus,
.navbar-inverse .navbar-nav>li>a:hover,
.navbar-inverse .navbar-nav>li>a:focus-within,
.navbar-inverse .navbar-nav>li>a:focus {
  background: var(--back-light) !important;
  border-radius: 1px;
  color: var(--colored-dark) !important;
}

.navbar-inverse .navbar-nav>li>a.active {
  background: rgb(255, 255, 255, 0.2); !important;
  border-radius: 1px;
}

.navbar-default .navbar-nav>li>a:active {
  background: var(--back-light) !important;
}

@media only screen and (min-width: 768px) {
  .navbar-default .navbar-nav>.open>a {
    background: var(--back-light) !important;
    border-left: 1px solid lightgray;
    border-top: 1px solid lightgray;
    border-right: 1px solid lightgray;
  }
}

@media (max-width: 767px) {
  .navbar-inverse .navbar-nav .open .dropdown-menu>li>a:hover {
    color: var(--gray-dark) !important;
  }
}

.navbar-inverse {
  background: var(--colored-dark);
}

.navbar-brand {
  font-size: 2.5rem !important;
  font-family: "NotoNaskhArabic", serif !important;
  font-weight: bold;
  color: var(--back-light) !important;
}

/* Navbar link size */
.navbar-default .navbar-nav>li>a {
  font-size: 1.5rem !important;
}

.navbar-inverse .navbar-nav>li>a {
  transition: background 0.3s, color 0.3s;
  color: var(--back-light);
}

.navbar {
  border-radius: 0;
}

.active {
  /* background: var(--back-light); */
  border-radius: 2px;
}

.navbar .dropdown-menu {
  margin-left: -1px;
}

/* Utility classes for positioning content ----------------------------------- */
.padding-left-1 {
  padding-right: 1rem !important;
}

.padding-left-2 {
  padding-right: 2rem !important;
}

.push-down-1 {
  margin-top: 1rem !important;
}

.push-down-2 {
  margin-top: 2rem !important;
}

.push-down-3 {
  margin-top: 3rem !important;
}

.push-down-4 {
  margin-top: 4rem !important;
}

.pull-up-1 {
  margin-top: -1rem !important;
}

.pull-up-2 {
  margin-top: -1rem !important;
}

.pull-up-3 {
  margin-top: -1rem !important;
}

.spacer-div-3 {
  height: 45px !important;
}

#link-to-docs,
#link-to-teaching-philosophy {
  color: var(--colored-light);
}

#link-to-docs:hover,
#link-to-docs:active,
#link-to-docs:visited,
#link-to-docs:focus {
  border: 1px solid var(--colored-light) !important;
  padding-bottom: 6px !important;
  background: transparent !important;
}

/* Setting Lines after headers */
h3 {
  position: relative;
}

h3 span {
  background-color: var(--back-light);
  padding-left: 10px;
}

h3:after {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  height: 0.5em;
  border-top: 2px solid var(--gray-dark);
  z-index: -1;
}

/* Format the footer ---------------------------------------------------------- */
footer {
  padding-bottom: 2rem;
}

/* Format the social-professional network icons ------------------------------ */
.social-icons {
  list-style-type: none;
}

.social-icons li {
  padding-right: 2rem;
  display: inline-block;
}

.social-icons li a {
  color: var(--colored-light);
}

.social-icons li a:hover {
  opacity: .8;
  text-decoration: none !important;
}

/* Projects page --------------------------------------------------------- */
#projects .panel {
  margin-right: 2rem;
}

#projects .panel-default {
  border-radius: 3px;
}

#projects .panel-default {
  border-radius: 3px;
}

#projects .panel-heading {
  border-bottom: none;
}

#projects .panel-heading,
#projects .panel-footer {
  text-align: center;
  background: #F6F7FB;
  padding: 2rem;
}

#projects .panel-footer {
  border-top: none;
}

#projects .panel-heading h5 {
  color: var(--black-fill);
  font-style: normal;
  font-size: 1.75rem;
}

.panel-default .panel-heading a:hover {
  padding-bottom: 0px !important;
}

/* All Links panels ---------------------------------------------- */
#links .panel-default {
  border-radius: 0;
  padding: 0;
  border: none;
  box-shadow: none;
}

#links .panel-heading {
  border-bottom: none;
}

#links img {
  margin-left: 3rem;
  margin-bottom: 2rem;
  width: 100px;
  padding: 3px;
  border: 1px solid var(--gray-dark);
}

/* Lists ------------------------------------------------------------- */
/* Add bottom margin to the description lists */
dd {
  margin-bottom: 1rem;
}

/* Set the anchor element to display block */
.list-group li a {
  display: block;
}

/* Narrow the viewport ----------------------------------------------- */
/* Customize container */
@media only screen and (min-width: 767px) {
  .container {
    max-width: 730px;
  }
}

/* Responsive: Portrait tablets and up */
@media only screen and (min-width: 768px) {

  /* Remove the padding we set earlier */
  .container {
    max-width: 900px;
  }
}

/* Accordion panels ----------------------------------------------------- */
/* plus glyph for showing collapsible panels */
.panel-heading .accordion-plus-toggle:before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f068";
  float: left;
  color: var(--gray-dark);
}

.panel-heading .accordion-plus-toggle.collapsed:before {
  content: "\f067";
}

/* arrow glyph for showing collapsible panels */
.panel-heading .accordion-arrow-toggle:before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f078";
  float: left;
  color: var(--gray-dark);
}

.panel-heading .accordion-arrow-toggle.collapsed:before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f054";
  color: var(--gray-dark);
}

/* sets the link to the width of the entire panel title */
.panel-title>a {
  display: block;
}

/* Back to top button */

/* Back to top button ----------------------------------------------------- */
#topper {
  display: none;
  position: fixed;
  bottom: 300px;
  left: 0px;
  z-index: 99;
  border: none;
  outline: none;
  background-color: var(--colored-light);
  color: var(--back-light);
  padding: 12px 6px 12px 6px;
  border-radius: 0 4px 4px 0;
  cursor: pointer;
  font-size: 1.6rem;
}

#topper:hover {
  background-color: var(--colored-light);
  opacity: .8;
}

.tiny{
  font-size: 12px !important;
}

.circle {
  border: solid 1px;
  padding: 0 3px 2px 3px;
  border-radius: 50%;
  font-size: 50%;
  vertical-align:40%;
}


.panel-default {
  border: none;
  box-shadow: none;
  border-radius: 0px;
  border-bottom: 1px dotted var(--gray-dark);
}

.panel-default h5 {
  font-style: normal;
}

.panel-default:last-child {
  border-bottom: none !important;
}

.panel-default .panel-heading {
  background-color: transparent !important;
  border-bottom: 0px !important;
  border-bottom-color: var(--back-light) !important;
}

.panel-default .panel-body {
  border-top: none !important;
  padding-top: 0px;
  padding-left: 8rem;
}

.panel-default .panel-heading a:hover {
  text-decoration: none !important;
  border-bottom: none !important;
  padding-bottom: 0;
}

.panel-default .in {
  padding-top: 0 !important;
}

.panel-default a[aria-expanded="true"] {
  color: var(--black-fill);
}

.panel-group .panel-heading+.panel-collapse>.panel-body {
  border-top: 0px;
}

/* plus glyph for showing collapsible panels */
.panel-heading .accordion-plus-toggle:before {
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  float: right;
  color: var(--gray-light);
  padding-left: 10px;
}

.panel-heading .accordion-plus-toggle.collapsed:before {
  content: "\f067";
}

/* sets the link to the width of the entire panel title */
.panel-title>a {
  display: block;
}


.students li, .books li {
  padding: 8px 0px;
  font-size: 1em;
  font-weight: normal;
}

.students hr, .books hr {
  border-top: 2px solid gainsboro;
  margin: 6px;
}

.students .details, .books .details {
  text-align: center;
}

.students > div, .books> div {
  margin: 16px 0px;
  border: 1px solid gainsboro;
  border-radius: 3px;
  background: var(--back-dark);
}

.students > div {
  padding: 16px 0px;
}

.books .details, .books div.img {
  padding: 20px 30px;
}

.students > div img, .books > div img {
  margin: auto;
  height: 200px;
}

.books .btn {
  margin: 6px 0;
}

#main-container a.btn:hover {
  padding-bottom: 6px;
}


.books .fa, .books .fas, .books .far {
  margin-left: 16px;
}

@media only screen and (min-width: 768px) {
  /*.students > div:nth-child(odd) div.img, .books > div:nth-child(odd) div.img {
    float: left;
  }*/

  .students .details, .books .details {
    text-align: justify;
  }

  .students .details{
    padding: 20px 16px;
  }

  .students > div {
    min-height: 200px;
  }

  .books .rev {
    text-align: left;
  }
}

.sep {
  color: var(--gray-dark);
}

.sep:after {
  content: "\2001";
}

.sep:before {
  content: "\2001";
}
